Bug 21270 - mesa 17.1.5 maintenance release
Summary: mesa 17.1.5 maintenance release
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA6-64-OK MGA6-32-OK advisory
Keywords: validated_update
Depends on:
Blocks:
 
Reported: 2017-07-17 22:26 CEST by Thomas Backlund
Modified: 2017-07-27 21:53 CEST (History)
4 users (show)

See Also:
Source RPM: mesa
CVE:
Status comment:


Attachments

Description Thomas Backlund 2017-07-17 22:26:13 CEST
Note, this is already being tested/used in cauldron and that it has both core and tainted rpms


Advisory:
Mesa maintenance release

This mesa 17.1.5 maintenance release fixes a potential crash in core Mesa,
has Vulkan / SPIR-V fixes, the usual notable fixes in the Intel i965 and
RadeonSI drivers, and some smaller fixes to Etnaviv, OpenSWR, SVGA, and
other parts of the mesa 3D graphics stack. 

References:
https://lists.freedesktop.org/archives/mesa-dev/2017-July/163052.html

SRPMS:
mesa-17.1.5-1.mga6.src.rpm
mesa-17.1.5-1.mga6.tainted.src.rpm



i586:
libd3d1-17.1.5-1.mga6.i586.rpm
libd3d1-devel-17.1.5-1.mga6.i586.rpm
libdri-drivers-17.1.5-1.mga6.i586.rpm
libgbm1-17.1.5-1.mga6.i586.rpm
libgbm1-devel-17.1.5-1.mga6.i586.rpm
libglapi0-17.1.5-1.mga6.i586.rpm
libglapi0-devel-17.1.5-1.mga6.i586.rpm
libmesaegl1-17.1.5-1.mga6.i586.rpm
libmesaegl1-devel-17.1.5-1.mga6.i586.rpm
libmesagl1-17.1.5-1.mga6.i586.rpm
libmesagl1-devel-17.1.5-1.mga6.i586.rpm
libmesaglesv1_1-17.1.5-1.mga6.i586.rpm
libmesaglesv1_1-devel-17.1.5-1.mga6.i586.rpm
libmesaglesv2_2-17.1.5-1.mga6.i586.rpm
libmesaglesv2_2-devel-17.1.5-1.mga6.i586.rpm
libosmesa8-17.1.5-1.mga6.i586.rpm
libosmesa-devel-17.1.5-1.mga6.i586.rpm
libvdpau-driver-nouveau-17.1.5-1.mga6.i586.rpm
libvdpau-driver-r300-17.1.5-1.mga6.i586.rpm
libvdpau-driver-r600-17.1.5-1.mga6.i586.rpm
libvdpau-driver-radeonsi-17.1.5-1.mga6.i586.rpm
libvulkan-devel-17.1.5-1.mga6.i586.rpm
libvulkan_intel-17.1.5-1.mga6.i586.rpm
libvulkan_radeon-17.1.5-1.mga6.i586.rpm
libwayland-egl1-17.1.5-1.mga6.i586.rpm
libwayland-egl1-devel-17.1.5-1.mga6.i586.rpm
libxatracker2-17.1.5-1.mga6.i586.rpm
libxatracker2-devel-17.1.5-1.mga6.i586.rpm
mesa-17.1.5-1.mga6.i586.rpm
mesa-common-devel-17.1.5-1.mga6.i586.rpm

libd3d1-17.1.5-1.mga6.tainted.i586.rpm
libd3d1-devel-17.1.5-1.mga6.tainted.i586.rpm
libdri-drivers-17.1.5-1.mga6.tainted.i586.rpm
libgbm1-17.1.5-1.mga6.tainted.i586.rpm
libgbm1-devel-17.1.5-1.mga6.tainted.i586.rpm
libglapi0-17.1.5-1.mga6.tainted.i586.rpm
libglapi0-devel-17.1.5-1.mga6.tainted.i586.rpm
libmesaegl1-17.1.5-1.mga6.tainted.i586.rpm
libmesaegl1-devel-17.1.5-1.mga6.tainted.i586.rpm
libmesagl1-17.1.5-1.mga6.tainted.i586.rpm
libmesagl1-devel-17.1.5-1.mga6.tainted.i586.rpm
libmesaglesv1_1-17.1.5-1.mga6.tainted.i586.rpm
libmesaglesv1_1-devel-17.1.5-1.mga6.tainted.i586.rpm
libmesaglesv2_2-17.1.5-1.mga6.tainted.i586.rpm
libmesaglesv2_2-devel-17.1.5-1.mga6.tainted.i586.rpm
libosmesa8-17.1.5-1.mga6.tainted.i586.rpm
libosmesa-devel-17.1.5-1.mga6.tainted.i586.rpm
libvdpau-driver-nouveau-17.1.5-1.mga6.tainted.i586.rpm
libvdpau-driver-r300-17.1.5-1.mga6.tainted.i586.rpm
libvdpau-driver-r600-17.1.5-1.mga6.tainted.i586.rpm
libvdpau-driver-radeonsi-17.1.5-1.mga6.tainted.i586.rpm
libvulkan-devel-17.1.5-1.mga6.tainted.i586.rpm
libvulkan_intel-17.1.5-1.mga6.tainted.i586.rpm
libvulkan_radeon-17.1.5-1.mga6.tainted.i586.rpm
libwayland-egl1-17.1.5-1.mga6.tainted.i586.rpm
libwayland-egl1-devel-17.1.5-1.mga6.tainted.i586.rpm
libxatracker2-17.1.5-1.mga6.tainted.i586.rpm
libxatracker2-devel-17.1.5-1.mga6.tainted.i586.rpm
mesa-17.1.5-1.mga6.tainted.i586.rpm
mesa-common-devel-17.1.5-1.mga6.tainted.i586.rpm



x86_64:
lib64d3d1-17.1.5-1.mga6.x86_64.rpm
lib64d3d1-devel-17.1.5-1.mga6.x86_64.rpm
lib64dri-drivers-17.1.5-1.mga6.x86_64.rpm
lib64gbm1-17.1.5-1.mga6.x86_64.rpm
lib64gbm1-devel-17.1.5-1.mga6.x86_64.rpm
lib64glapi0-17.1.5-1.mga6.x86_64.rpm
lib64glapi0-devel-17.1.5-1.mga6.x86_64.rpm
lib64mesaegl1-17.1.5-1.mga6.x86_64.rpm
lib64mesaegl1-devel-17.1.5-1.mga6.x86_64.rpm
lib64mesagl1-17.1.5-1.mga6.x86_64.rpm
lib64mesagl1-devel-17.1.5-1.mga6.x86_64.rpm
lib64mesaglesv1_1-17.1.5-1.mga6.x86_64.rpm
lib64mesaglesv1_1-devel-17.1.5-1.mga6.x86_64.rpm
lib64mesaglesv2_2-17.1.5-1.mga6.x86_64.rpm
lib64mesaglesv2_2-devel-17.1.5-1.mga6.x86_64.rpm
lib64osmesa8-17.1.5-1.mga6.x86_64.rpm
lib64osmesa-devel-17.1.5-1.mga6.x86_64.rpm
lib64vdpau-driver-nouveau-17.1.5-1.mga6.x86_64.rpm
lib64vdpau-driver-r300-17.1.5-1.mga6.x86_64.rpm
lib64vdpau-driver-r600-17.1.5-1.mga6.x86_64.rpm
lib64vdpau-driver-radeonsi-17.1.5-1.mga6.x86_64.rpm
lib64vulkan-devel-17.1.5-1.mga6.x86_64.rpm
lib64vulkan_intel-17.1.5-1.mga6.x86_64.rpm
lib64vulkan_radeon-17.1.5-1.mga6.x86_64.rpm
lib64wayland-egl1-17.1.5-1.mga6.x86_64.rpm
lib64wayland-egl1-devel-17.1.5-1.mga6.x86_64.rpm
lib64xatracker2-17.1.5-1.mga6.x86_64.rpm
lib64xatracker2-devel-17.1.5-1.mga6.x86_64.rpm
mesa-17.1.5-1.mga6.x86_64.rpm
mesa-common-devel-17.1.5-1.mga6.x86_64.rpm


lib64d3d1-17.1.5-1.mga6.tainted.x86_64.rpm
lib64d3d1-devel-17.1.5-1.mga6.tainted.x86_64.rpm
lib64dri-drivers-17.1.5-1.mga6.tainted.x86_64.rpm
lib64gbm1-17.1.5-1.mga6.tainted.x86_64.rpm
lib64gbm1-devel-17.1.5-1.mga6.tainted.x86_64.rpm
lib64glapi0-17.1.5-1.mga6.tainted.x86_64.rpm
lib64glapi0-devel-17.1.5-1.mga6.tainted.x86_64.rpm
lib64mesaegl1-17.1.5-1.mga6.tainted.x86_64.rpm
lib64mesaegl1-devel-17.1.5-1.mga6.tainted.x86_64.rpm
lib64mesagl1-17.1.5-1.mga6.tainted.x86_64.rpm
lib64mesagl1-devel-17.1.5-1.mga6.tainted.x86_64.rpm
lib64mesaglesv1_1-17.1.5-1.mga6.tainted.x86_64.rpm
lib64mesaglesv1_1-devel-17.1.5-1.mga6.tainted.x86_64.rpm
lib64mesaglesv2_2-17.1.5-1.mga6.tainted.x86_64.rpm
lib64mesaglesv2_2-devel-17.1.5-1.mga6.tainted.x86_64.rpm
lib64osmesa8-17.1.5-1.mga6.tainted.x86_64.rpm
lib64osmesa-devel-17.1.5-1.mga6.tainted.x86_64.rpm
lib64vdpau-driver-nouveau-17.1.5-1.mga6.tainted.x86_64.rpm
lib64vdpau-driver-r300-17.1.5-1.mga6.tainted.x86_64.rpm
lib64vdpau-driver-r600-17.1.5-1.mga6.tainted.x86_64.rpm
lib64vdpau-driver-radeonsi-17.1.5-1.mga6.tainted.x86_64.rpm
lib64vulkan-devel-17.1.5-1.mga6.tainted.x86_64.rpm
lib64vulkan_intel-17.1.5-1.mga6.tainted.x86_64.rpm
lib64vulkan_radeon-17.1.5-1.mga6.tainted.x86_64.rpm
lib64wayland-egl1-17.1.5-1.mga6.tainted.x86_64.rpm
lib64wayland-egl1-devel-17.1.5-1.mga6.tainted.x86_64.rpm
lib64xatracker2-17.1.5-1.mga6.tainted.x86_64.rpm
lib64xatracker2-devel-17.1.5-1.mga6.tainted.x86_64.rpm
mesa-17.1.5-1.mga6.tainted.x86_64.rpm
mesa-common-devel-17.1.5-1.mga6.tainted.x86_64.rpm
Comment 1 Len Lawrence 2017-07-19 00:14:21 CEST
mga6  x86_64  Mate

Part 1 - core updates testing
-----------------------------
Installed these via MageiaUpdate:
- lib64dri-drivers-17.1.5-1.mga6.x86_64
- lib64gbm1-17.1.5-1.mga6.x86_64
- lib64glapi0-17.1.5-1.mga6.x86_64
- lib64mesaegl1-17.1.5-1.mga6.x86_64
- lib64mesagl1-17.1.5-1.mga6.x86_64
- lib64mesaglesv2_2-17.1.5-1.mga6.x86_64
- lib64wayland-egl1-17.1.5-1.mga6.x86_64
- lib64xatracker2-17.1.5-1.mga6.x86_64
- mesa-17.1.5-1.mga6.x86_64

These were installed manually one at a time:
lib64d3d1-17.1.5-1.mga6.x86_64
lib64d3d1-devel-17.1.5-1.mga6.x86_64
lib64glapi0-devel-17.1.5-1.mga6.x86_64
lib64gbm1-devel-17.1.5-1.mga6.x86_64
lib64mesaegl1-devel-17.1.5-1.mga6.x86_64
lib64mesagl1-devel-17.1.5-1.mga6.x86_64
lib64mesaglesv1_1-17.1.5-1.mga6.x86_64
lib64mesaglesv1_1-devel-17.1.5-1.mga6.x86_64
lib64mesaglesv2_2-devel-17.1.5-1.mga6.x86_64
lib64osmesa8-17.1.5-1.mga6.x86_64
lib64osmesa-devel-17.1.5-1.mga6.x86_64
lib64vdpau-driver-nouveau-17.1.5-1.mga6.x86_64
lib64vdpau-driver-r300-17.1.5-1.mga6.x86_64
lib64vdpau-driver-r600-17.1.5-1.mga6.x86_64
lib64vdpau-driver-radeonsi-17.1.5-1.mga6.x86_64
lib64vulkan-devel-17.1.5-1.mga6.x86_64
lib64vulkan_intel-17.1.5-1.mga6.x86_64
lib64vulkan_radeon-17.1.5-1.mga6.x86_64
lib64wayland-egl1-devel-17.1.5-1.mga6.x86_64
lib64xatracker2-devel-17.1.5-1.mga6.x86_64
mesa-common-devel-17.1.5-1.mga6.x86_64

All installed cleanly.

Applications needing mesa libraries:
Virtually everything for lib64mesagl1.
calibre
glmark2
kodi
mplayer
mpv
mutter
weston

Had to install lib64canberra-gtk0 to get some things to run.
kodi launched OK and looked functional.  mplayer played videos OK.  glmark2 ran to completion, returning a respectable score.  Installed calibre and created a library of half a dozen PDFs and opened one of them.

So far, fine for 64-bits.

CC: (none) => tarazed25

Comment 2 Len Lawrence 2017-07-19 00:20:21 CEST
Oops.  Error there.  Comment 1 should say "core updates".
Comment 3 Len Lawrence 2017-07-19 00:31:10 CEST
Or, maybe not.  It's getting late.
Comment 4 Len Lawrence 2017-07-19 01:04:06 CEST
mga6  x86_64  Mate

Part 2 - tainted updates testing
--------------------------------
Installed these via MageiaUpdate:
- lib64d3d1-17.1.5-1.mga6.tainted.x86_64
- lib64d3d1-devel-17.1.5-1.mga6.tainted.x86_64
- lib64dri-drivers-17.1.5-1.mga6.tainted.x86_64
- lib64gbm1-17.1.5-1.mga6.tainted.x86_64
- lib64gbm1-devel-17.1.5-1.mga6.tainted.x86_64
- lib64glapi0-17.1.5-1.mga6.tainted.x86_64
- lib64glapi0-devel-17.1.5-1.mga6.tainted.x86_64
- lib64mesaegl1-17.1.5-1.mga6.tainted.x86_64
- lib64mesaegl1-devel-17.1.5-1.mga6.tainted.x86_64
- lib64mesagl1-17.1.5-1.mga6.tainted.x86_64
- lib64mesagl1-devel-17.1.5-1.mga6.tainted.x86_64
- lib64mesaglesv1_1-17.1.5-1.mga6.tainted.x86_64
- lib64mesaglesv1_1-devel-17.1.5-1.mga6.tainted.x86_64
- lib64mesaglesv2_2-17.1.5-1.mga6.tainted.x86_64
- lib64mesaglesv2_2-devel-17.1.5-1.mga6.tainted.x86_64
- lib64osmesa-devel-17.1.5-1.mga6.tainted.x86_64
- lib64osmesa8-17.1.5-1.mga6.tainted.x86_64
- lib64txc-dxtn-1.0.1-10.mga6.tainted.x86_64
- lib64vdpau-driver-nouveau-17.1.5-1.mga6.tainted.x86_64
- lib64vdpau-driver-r300-17.1.5-1.mga6.tainted.x86_64
- lib64vdpau-driver-r600-17.1.5-1.mga6.tainted.x86_64
- lib64vdpau-driver-radeonsi-17.1.5-1.mga6.tainted.x86_64
- lib64vulkan-devel-17.1.5-1.mga6.tainted.x86_64
- lib64vulkan_intel-17.1.5-1.mga6.tainted.x86_64
- lib64vulkan_radeon-17.1.5-1.mga6.tainted.x86_64
- lib64wayland-egl1-17.1.5-1.mga6.tainted.x86_64
- lib64wayland-egl1-devel-17.1.5-1.mga6.tainted.x86_64
- lib64xatracker2-17.1.5-1.mga6.tainted.x86_64
- lib64xatracker2-devel-17.1.5-1.mga6.tainted.x86_64
- mesa-17.1.5-1.mga6.tainted.x86_64
- mesa-common-devel-17.1.5-1.mga6.tainted.x86_64

Ran similar tests to those in comment 1 on mesa-dependent packages;
kodi, glmark2, mplayer, mpv, calibre - all worked properly.

So this looks OK for 64-bits.
Len Lawrence 2017-07-19 01:04:30 CEST

Whiteboard: (none) => MGA6-64-OK

Lewis Smith 2017-07-21 13:15:04 CEST

CC: (none) => lewyssmith
Whiteboard: MGA6-64-OK => MGA6-64-OK advisory

Comment 5 Herman Viaene 2017-07-25 14:57:15 CEST
MGA6-32 on Asus A6000VM MATE
No installation issues for core/updates.
Played video, opened pdf with calibre all OK.
tainted will be tested later.

CC: (none) => herman.viaene

Comment 6 Lewis Smith 2017-07-26 20:47:26 CEST
(In reply to Herman Viaene from comment #5)
> MGA6-32 on Asus A6000VM MATE
> tainted will be tested later.
Herman, if you do that and it looks OK, can you then also please validate this update.
Comment 7 Herman Viaene 2017-07-27 18:16:12 CEST
Done as asked with tainted, all OK.

Whiteboard: MGA6-64-OK advisory => MGA6-64-OK MGA-6-32-OK advisory

Herman Viaene 2017-07-27 18:16:58 CEST

Whiteboard: MGA6-64-OK MGA-6-32-OK advisory => MGA6-64-OK MGA6-32-OK advisory

Lewis Smith 2017-07-27 20:23:34 CEST

Keywords: (none) => validated_update
CC: (none) => sysadmin-bugs

Comment 8 Mageia Robot 2017-07-27 21:53:07 CEST
An update for this issue has been pushed to the Mageia Updates repository.

http://advisories.mageia.org/MGAA-2017-0037.html

Status: NEW => RESOLVED
Resolution: (none) => FIXED


Note You need to log in before you can comment on or make changes to this bug.